%define name sakuraplayer
%define version 2.1.7
%define release 1mdk

Summary: KDE2/3-based player for tfmx music from the Amiga
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://darkstar.tabu.uni-bonn.de/~neo/tfmx/%{name}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdebase-devel
BuildRequires: chrpath
BuildRequires: SDL-devel
BuildRequires: openssl-devel
Url: http://darkstar.tabu.uni-bonn.de/~neo/audio.html

%description
Sakura Player is the successor of TFMXcess with a KDE2 GUI. 
It is based on the tfmx-play sources.
You can use it for tfmx modules from famous amiga games like R-Type
or Turrican.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
rm -rf autom4te.cache/
#don't use %%configure macro
./configure --prefix=%{_prefix} --libdir=%_libdir --disable-rpath 
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_menudir},%{_iconsdir},%{_miconsdir},%{_liconsdir}}
%makeinstall
chrpath -d %buildroot%_bindir/%name
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Multimedia/Sound" title="Sakura Player" \
		longtitle="TFMX music player for KDE2"
EOF
ln $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT/%{_miconsdir}
ln $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT/%{_iconsdir}
ln $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png $RPM_BUILD_ROOT/%{_liconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO 
%dir %{_datadir}/doc/HTML/en/
%doc %{_datadir}/doc/HTML/en/sakuraplayer/*
%{_bindir}/tfmx-play
%{_bindir}/sakuraplayer
%{_datadir}/icons/*
%{_datadir}/applnk/*/sakuraplayer.desktop
%{_datadir}/mimelnk/x-tfmx.desktop
%{_menudir}/%{name}

%changelog
* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.7-1mdk
- small build fix
- New release 2.1.7

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- New release 2.1.4

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 2.1.2-5mdk 
- rebuild for new gcc

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-4mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-3mdk
- fix source URL
- fix buildrequires

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- new version

* Thu Mar  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- strip rpaths
- update file list
- fix cflags
- drop prefix
- new version

* Mon Aug  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- fix buildrequires
- new version

* Thu May  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-12mdk
- fix buildrequires

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-11mdk
- fix directory ownership
- fix buildrequires

* Fri Apr 25 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-10mdk
- buildrequires (libqt3-devel should be fixed instead)

* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-9mdk
- buildrequires

* Thu Mar 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-8mdk
- buildrequires

* Thu Mar 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-7mdk
- fix buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-6mdk
- buildrequires

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-5mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-4mdk
- rebuild

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-3mdk
- gcc 3.2-0.3mdk build

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- fix a rpmlint warning
- arrg, really gcc 3.2 build

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Mon Mar 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- 1.0.6

* Tue Jan 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- 1.0.5

* Fri Oct 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-2mdk
- rebuild against new libpng

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.0.4
	- removed Buildrequires for fam-devel 

* Fri Aug  3 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- BuildRequires: fam-devel
- 1.0.2

* Tue Jul 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> 
	- 1.0.1

* Thu Jun 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0

* Tue Jun 19 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- 0.7.0
- updated file list

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package

